第3章 MTC (Migration Toolkit for Containers) のインストール

MTC (Migration Toolkit for Containers) を OpenShift Container Platform 4 にインストールできます。

注記

OpenShift Container Platform 3 に MTC をインストールするには、OpenShift Container Platform 3 へのコンテナー Operator 用のレガシー Migration Toolkit のインストール を参照してください。

デフォルトで、MTC Web コンソールおよび Migration Controller Pod はターゲットクラスターで実行されます。Migration Controller カスタムリソースマニフェストを、MTC の Web コンソールおよび Migration Controller Pod を リモートクラスター で実行するように設定できます。

MTC をインストールした後、オブジェクトストレージをレプリケーションリポジトリーとして使用するように設定する必要があります。

MTC をアンインストールするには、MTC のアンインストールとリソースの削除 を参照してください。

3.1. 互換性のガイドライン

OpenShift Container Platform バージョンと互換性がある MTC (Migration Toolkit for Containers) Operator をインストールする必要があります。

定義

レガシープラットフォーム
OpenShift Container Platform 4.5 以前。
最新プラットフォーム
OpenShift Container Platform 4.6 以降。
レガシー operator
レガシープラットフォーム用に設計された MTC Operator。
最新 operator
最新のプラットフォーム用に設計された MTC Operator。
コントロールクラスター
MTC コントローラーと GUI を実行するクラスター。
リモートクラスター
Velero を実行する移行のソースクラスターまたは宛先クラスター。コントロールクラスターは、Velero API を介してリモートクラスターと通信し、移行を促進します。

表3.1 MTC 互換性: レガシープラットフォームからの移行

 OpenShift Container Platform 4.5 以前OpenShift Container Platform 4.6 以降

安定した MTC バージョン

MTC 1.7.z

レガシー 1.7 operator: operator.yml ファイルを使用して手動でインストール。

重要

このクラスターをコントロールクラスターにすることはできません。

MTC 1.7.z

OLM を使用してインストール、リリースチャネル release-v1.7

注記

ネットワークの制限により、最新のクラスターが移行に関与する他のクラスターに接続できないというエッジケースが存在します。たとえば、オンプレミスの OpenShift Container Platform 3.11 クラスターからクラウド内の最新の OpenShift Container Platform クラスターに移行する場合、最新のクラスターは OpenShift Container Platform 3.11 クラスターに接続できません。

MTC 1.7 では、ネットワーク制限のためにいずれかのリモートクラスターがコントロールクラスターと通信できない場合は、crane tunnel-api コマンドを使用します。

安定した MTC リリースでは、常に最新のクラスターを制御クラスターとして指定する必要がありますが、この特定のケースでは、レガシークラスターを制御クラスターとして指定し、ワークロードをリモートクラスターにプッシュすることができます。